\name{mgu74cv2MAPCOUNTS} 

\alias{mgu74cv2MAPCOUNTS}


\title{Number of mapped keys for the maps in package mgu74cv2.db}

\description{
  mgu74cv2MAPCOUNTS provides the "map count" (i.e. the
  count of mapped keys) for each map in package mgu74cv2.db.
}

\details{  
  This "map count" information is precalculated and stored in the
  package annotation DB. This allows some quality control and is used by
  the \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
  function defined in AnnotationDbi to compare and validate different
  methods (like \code{count.mappedkeys(x)} or
  \code{sum(!is.na(as.list(x)))}) for getting the "map count" of a given
  map.
}

\seealso{
  \code{\link[AnnotationDbi:Bimap-keys]{mappedkeys}},
  \code{\link[AnnotationDbi:Bimap-keys]{count.mappedkeys}},
  \code{\link[AnnotationDbi:AnnDbPkg-checker]{checkMAPCOUNTS}}
}

\examples{
  mgu74cv2MAPCOUNTS
  mapnames <- names(mgu74cv2MAPCOUNTS)
  mgu74cv2MAPCOUNTS[mapnames[1]]
  x <- get(mapnames[1])
  sum(!is.na(as.list(x)))
  count.mappedkeys(x)   # much faster!

  ## Check the "map count" of all the maps in package mgu74cv2.db
  checkMAPCOUNTS("mgu74cv2.db")
}

\keyword{datasets}

